<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: Share This V3.05
| Filename: install.php
| Developers: Fangree_Craig
| Site: http://www.fangree.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

require_once "../../../maincore.php";
require_once THEMES."templates/admin_header.php";

if (file_exists(INFUSIONS."share_this/locale/".$settings['locale'].".php")) {
	include INFUSIONS."share_this/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."share_this/locale/English.php";
}
include INFUSIONS."share_this/infusion_db.php";
if (!checkrights("SHP")||!defined("iAUTH")) {
	redirect("../../../index.php");
}
opentable($locale['sta001']);
echo"<br /><center><div class='admin-message'><a href='javascript:history.back()'>BACK</a></div></center>\n";
?><!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title>README EN</title>
<meta http-equiv='Content-Type' content='text/html; charset=utf-8'>
<style type='text/css'>
a { color: #003D71; text-decoration: none; }
a:hover { color: #027AC6; text-decoration: underline; }
img { border: 0; margin: 2px; }

.textbox {
	font-family: Verdana,Tahoma,Arial,Sans-Serif;
	font-size: 10px;
	color: #000; 
	background-color: #eeeeee;
	border: 1px #3a3c3c solid;
}
td { font-family:Verdana,Tahoma,Arial,Sans-Serif; font-size:11px; }
.tbl-border { background-color:#EEEEEE; border: 1px solid #D1D8DD; margin-top:20px; margin-bottom:20px; }
.tbl1 { font-size:11px; color:#000; background-color:#EBEBEB; padding:10px; }
.tbl2 {	font-size:12px; color:#000; background-color:#CCCCCC; padding:5px; font-variant:small-caps; font-weight:bold; }
.tbl2b {	font-size:11px; color:#000; background-color:#CCCCCC; padding:5px; font-variant:small; }
.tbl-copyright {	font-size:9px; color:#000; background-color:#CCCCCC; padding:5px; font-variant:small; }
ol.install li { margin-bottom:8px; margin-top:8px; }
ol.install li ul li { margin-bottom:25px; margin-top:15px; list-style-type:disc; }
</style>
</head>
<body bgcolor='#eeeeee'>
<table align='center' cellpadding='0' cellspacing='1' width='800' class='tbl-border'>
<!-- INFORMATION -->
<tr><td align='center' class='tbl2' width='50%'><img border="0" src="http://www.fangree.co.uk/images/logo8.png" width="295" height="98"></td>
<td align='center' class='tbl2b' width='50%'><b>PHP-Fusion Version Compatibility: </b>v7.00.xx  
  + v7.01.xx</td></tr> 
<tr>
<td align='center' class='tbl1' width='50%'><b>Name:</b>       Share This</td> 
<td align='center' class='tbl1' width='50%'><b>Version:</b>   3.05</td>
</tr>
<tr>
<td align='center' class='tbl1' width='50%'><b>Author:</b>  Fangree Productions</td>
<td align='center' class='tbl1' width='50%'><b>License:</b>  Released as free      
  software without warranties under <a href="http://www.fsf.org/licensing/licenses/agpl-3.0.html">GNU      
  Affero GPL</a> v3.</td>     
</tr>

<!-- DESCRIPTION -->
<tr><td colspan='2' class='tbl2'>Description</td></tr>
<tr><td colspan='2' class='tbl1'>
     Share This is the ultimate Content sharing infusion for PHP-Fusion.              
     <br>Share This Allow users to share PHP-Fusion Site content.&nbsp;              
     <ul>
      <li>Share all you sites content Articles, custom pages, Forum Threads, News, &amp;               
     Photos, profiles and downloads.&nbsp;</li>              
      <li>
     Share the URL, BBcode &amp; HTML links.</li>             
      <li>Share site content with friends on Facebook with the Facebook Like button.</li>
      <li>AddThis social bookmarking and sharing buttons which makes it easy for visitors to bookmark and share 
        content to their favorite social destinations.</li>
      <li>
     Fully Manageable Admin area. ( Enable/disable Share This for all sections,              
        Enable/disable AddThis and <font color="#FF0000">*</font>AddThis              
        Username for analytics option<font color="#FF0000">*</font>,              
        Enable/Disable amd style settings for Facebook Like Button).&nbsp;</li>             
     </ul>
     <p><br>
     <font color="#FF0000">*</font>If you have an AddThis account you can enter              
     your AddThis Username in the Username field in the Share This admin. This will enable             
     AddThis analytics to help you understand how              
     and where your content is being shared.&nbsp;<p>             
     <br>If you do not have an AddThis account and do not wish to track your              
     analytics the AddThis Bookmarking will still be fully functional.<br>However              
     signing up for an AddThis account it is recommended, it's a great tool to              
     use for sharing your site content.             
     <br><a href="http://www.addthis.com/">http://www.addthis.com/</a> 
</td></tr>
<!-- INSTALLATION -->
<tr><td colspan='2' class='tbl2'>Install</td></tr>
<tr><td colspan='2' class='tbl1'>
&nbsp;
<ol class='install'>
<li>Upload all files and folders in the main /files/ folder.</li>                              
<li>Go to <b>Site Admin</b> &gt;&gt;&gt;&nbsp; <b>System</b> <b>Admin</b> &gt;&gt;&gt;                  
  <b>Infusions</b> and <b>infuse</b>:                                                          
<textarea class="textbox" rows="2" cols="85"  readonly="readonly">
Share This
</textarea>
</li>
</ol>
<p>&nbsp;</p>
<p><b>Modifiying Files</b></p>       
<p>We need to add the Share This Include into the following files, please back 
them up first before modifying...</p>
<ul>
  <li><b>articles.php</b></li>
  <li><b>news.php</b></li>
  <li><b>viewpage.php</b></li>
  <li><b>photogallery.php</b></li>
  <li><b>profile.php</b></li>
  <li><b>forum/viewthread.php</b></li>
  <li><b>(if using pro_download_panel) infusions/pro_download_panel/did.php</b></li>
</ul>
<p>&nbsp;</p>
<p>&nbsp;<b>articles.php</b></p>
<p>After...</p>
                                                
<textarea class="textbox" rows="2" cols="85"  readonly="readonly">
echo "<!--sub_article-->";
</textarea>

<p>&nbsp;Paste...</p>
<textarea class="textbox" rows="2" cols="85"  readonly="readonly">
include INFUSIONS."share_this/sharthis_a.php";
</textarea>
<p><b>news.php</b></p>
<p>After...</p>
                                                
<textarea class="textbox" rows="2" cols="85"  readonly="readonly">
echo "<!--news_sub_readmore-->";
</textarea>

<p>&nbsp;Paste...</p>
<textarea class="textbox" rows="2" cols="85"  readonly="readonly">
include INFUSIONS."share_this/sharthis_n.php";
</textarea>
<p><b>photogallery.php</b></p>
<p>Look for...</p>
                                                
<textarea class="textbox" rows="3" cols="85"  readonly="readonly">
echo $locale['457'].$data['photo_views']."\n</div>\n";
		closetable();
</textarea>

<p>&nbsp;After Paste...</p>        
<textarea class="textbox" rows="2" cols="85"  readonly="readonly">
include INFUSIONS."share_this/sharthis_p.php";
</textarea>
<p><b>profile.php</b></p>
<p>Before...</p>
                                                
<textarea class="textbox" rows="3" cols="85"  readonly="readonly">
if (iADMIN && checkrights("M") && $user_data['user_id'] != $userdata['user_id']) {
$user_groups_opts = "";
if ($user_data['user_level'] < 102) {
echo "<div style='margin:5px'></div>\n";
echo "<form name='admin_form' method='post' action='".FUSION_SELF."?lookup=".$user_data['user_id']."'>\n";</textarea>

<p>&nbsp;Paste...</p>
<textarea class="textbox" rows="2" cols="85"  readonly="readonly">
include INFUSIONS."share_this/sharthis_u.php";
</textarea>
<p><b>viewpage.php</b></p>
<p>After...</p>
                                                
<textarea class="textbox" rows="1" cols="85"  readonly="readonly">closetable();</textarea>

<p>&nbsp;Paste...</p>
<textarea class="textbox" rows="2" cols="85"  readonly="readonly">
include INFUSIONS."share_this/sharthis_c.php";
</textarea>

<p><b>forum/viewthread.php</b></p>
<p>After...</p>
                                                
<textarea class="textbox" rows="2" cols="85"  readonly="readonly">
echo "</table><!--sub_forum_thread_table-->\n";
</textarea>

<p>&nbsp;Paste...</p>
<textarea class="textbox" rows="2" cols="85"  readonly="readonly">
include INFUSIONS."share_this/sharthis_f.php";
</textarea><p>
Now Look for...<p>
<textarea class="textbox" rows="5" cols="85"  readonly="readonly">
echo "</div>\n</td>\n</tr>\n";


$current_row++;
}
}
</textarea>

<p>&nbsp;Change it too...</p>        
<textarea class="textbox" rows="5" cols="85"  readonly="readonly">
echo "</div>\n</td>\n</tr>\n";

//Fangree Productions Share This Post Begin

include INFUSIONS."share_this/sharthis_fp.php";

//Fangree Productions Share This Post End

$current_row++;
}
}
</textarea>

<p><b>infusions/pro_download_panel/did.php</b></p>
<p>After...</p>
                                                
<textarea class="textbox" rows="5" cols="85"  readonly="readonly">// finally render
pdp_render_download($download->id, $data, $links, $files, $images, $old_data);

closetable();</textarea>

<p>&nbsp;Paste...</p>
<textarea class="textbox" rows="2" cols="85"  readonly="readonly">
include INFUSIONS."share_this/sharthis_pdp.php";
</textarea>

<p>
<p><b>infusions/varcade/arcade.php</b></p>
<p>At the bottom before...</p>
                                                
<textarea class="textbox" rows="1" cols="85"  readonly="readonly">require_once "footer.php";</textarea>

<p>&nbsp;Paste...</p>
<textarea class="textbox" rows="2" cols="85"  readonly="readonly">
include INFUSIONS."share_this/sharthis_var.php";
</textarea>
<p>
Save all files upload and overwrite. 
</td></tr>

<!-- CHANGELOG -->
<tr><td colspan='2' class='tbl2'>CHANGELOG</td></tr>
<tr><td colspan='2' class='tbl1'>
<b>v1.00</b><br>
- First public release<br>     
<br>
<b>v1.01</b><br>
- Updated articles.php for PHP-Fusion 7.00.06<br>     
<br>
<b>v2.00</b><br>
- Changed overall design of Share This Removed openable panel and changed to table<br>     
- Added new Add This Social Network Buttons<br>     
- Put codes for Share This in single files for easy inclusion<br>     
- added $locale['sh001'] = "More"; (SiteMaster)<br>     
- W3C Validated (SiteMaster)<br>     
<br>
<b>V2.01</b><br>
- Put AddThis Code in an include for easier management of Bookmark Destinations.<br>     
- Added Share This Forum Post which will allow users to bookmark each posts using AddThis.<br>     
- Removed AddThis from Share This Thread as AddThis is now added to Share This Forum Post instead.<br>     
- Removed unwanted table rows.<p><b>V3.00</b><br>    
- Major Upgrade made Share This an Infusion<br>
- Share This Admin area with settings added<br> 
- Facebook Like Added<br> 
- Share This Page Added<br>
- All Files recoded<br>
- Removed unnecessary code</p>
<p><b>V3.01</b><br> Added isset to admin settings. (by MvE Designs)
<p><b>V3.02</b><br> Fixed undefined photo_id error in facebook_like_include.php
<p><b>V3.03</b><br> Pro Download System is now supported If PDP is installed on   
your site the Download Share This options will be in the Share This&nbsp; Admin   
area.
<p><b>V3.05</b><br> VArcade is now supported If VArcade is installed on   
your site the  Share This Game  options will be in the Share This&nbsp; Admin   
area.<br>Share This User Updated - User Field allows users to turn Share This Profile  on or off.  
<p><b>V3.05</b>
<br>Fixed undefined variable errors in sharthis_c.php - Fixed undefined variable 
errors in facebook_like_include.php - Removed unnecessary &lt;br />s from  
share_this_admin.php
</td></tr>

<!-- SUPPORT -->
<tr><td colspan='2' class='tbl2'>SUPPORT</td></tr>
<tr><td colspan='2' class='tbl1'>
If you require support for this Addon please visit the Fangree Productions Forum     
at
<br><a href="http://www.fangree.co.uk/forum/index.php">http://www.fangree.co.uk/forum/index.php</a>
</td></tr>
<!-- CREDITS -->
<tr><td colspan='2' class='tbl2'>CREDITS</td></tr>
<tr><td colspan='2' class='tbl1'>
 Developers - Fangree_Craig    
<br>  Coding Assistance - HobbyMan (<a href="http://www.phpnuclear.com/" target="_blank">http://www.phpnuclear.com</a>) 
 &amp; Soulsmasher (<a href="http://www.soulsmasher.com">http://www.soulsmasher.com</a>) 

</td></tr>
<!-- COPYRIGHT -->
<tr><td colspan='2' class='tbl-copyright'>
    <p align="center"><font size="1">Copyright   <a href="http://www.fangree.co.uk">Fangree           
    productions</a> 2010</font></p>             
    <p align="center"><b>Distributing This Addon</b> 
    <br>This addon is free software: you can redistribute it and/or modify        
    it under the terms of the <a href="http://www.gnu.org/licenses/agpl-3.0.html"> GNU Affero General Public      
    License</a>. 
    <br>If you do distribute this addon for download on your site you must put a link to      
    <a href="http://www.fangree.co.uk"> Fangree     
    productions</a> on the downloads Page for update purposes and you will be          
    required to make sure you keep the Download Archive updated with latest          
    versions.</p>    
  </td></tr>
</table>

</body>
</html> 
<?php
closetable();

require_once THEMES."templates/footer.php";
?>